package com.platform.dao;

import com.platform.entity.BrandVo;

import java.util.List;

/**
 * @author lipengjun
 * @email 939961241@qq.com
 * @gitee https://gitee.com/fuyang_lipengjun/platform
 * @date 2017-08-11 09:14:25
 */
public interface ApiBrandMapper extends BaseDao<BrandVo> {

    Integer queryIdByScene(String sceneNum);
    BrandVo queryByScene(String sceneNum);
    List<Integer> getBrandTypeList();

    List<BrandVo> getRecommondDeptBrand();

    void increaseViewCount(String id);

    Integer getTopPvNumByDeptId(Integer deptId);
}
